diff --git a/android/guava-tests/test/com/google/common/collect/TablesTransformValuesTest.java b/android/guava-tests/test/com/google/common/collect/TablesTransformValuesTest.java
index 6730b3f..f610665 100644
--- a/android/guava-tests/test/com/google/common/collect/TablesTransformValuesTest.java
+++ b/android/guava-tests/test/com/google/common/collect/TablesTransformValuesTest.java
@@ -18,8 +18,6 @@ package com.google.common.collect;
 
 import static com.google.common.base.Preconditions.checkArgument;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Function;
 
 /**
@@ -27,7 +25,6 @@ import com.google.common.base.Function;
  *
  * @author Jared Levy
  */
-@GwtCompatible(emulated = true)
 public class TablesTransformValuesTest extends AbstractTableTest {
 
   private static final Function<String, Character> FIRST_CHARACTER =
@@ -50,7 +47,7 @@ public class TablesTransformValuesTest extends AbstractTableTest {
   }
 
   // Null support depends on the underlying table and function.
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   @Override
   public void testNullPointerInstance() {}
 
diff --git a/android/guava-tests/test/com/google/common/collect/TopKSelectorTest.java b/android/guava-tests/test/com/google/common/collect/TopKSelectorTest.java
index 2cebdc3..2669179 100644
--- a/android/guava-tests/test/com/google/common/collect/TopKSelectorTest.java
+++ b/android/guava-tests/test/com/google/common/collect/TopKSelectorTest.java
@@ -18,7 +18,6 @@ package com.google.common.collect;
 
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.math.IntMath;
 import com.google.common.primitives.Ints;
 import java.math.RoundingMode;
@@ -32,7 +31,6 @@ import junit.framework.TestCase;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible
 public class TopKSelectorTest extends TestCase {
 
   public void testNegativeK() {
diff --git a/android/guava-tests/test/com/google/common/collect/TransposedTableTest.java b/android/guava-tests/test/com/google/common/collect/TransposedTableTest.java
index 7233cf1..50c3d52 100644
--- a/android/guava-tests/test/com/google/common/collect/TransposedTableTest.java
+++ b/android/guava-tests/test/com/google/common/collect/TransposedTableTest.java
@@ -16,14 +16,12 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 
 /**
  * Test cases for {@link Tables#transpose}.
  *
  * @author Jared Levy
  */
-@GwtCompatible
 public class TransposedTableTest extends AbstractTableTest {
 
   @Override
diff --git a/android/guava-tests/test/com/google/common/collect/TreeBasedTableTest.java b/android/guava-tests/test/com/google/common/collect/TreeBasedTableTest.java
index 084e649..d228872 100644
--- a/android/guava-tests/test/com/google/common/collect/TreeBasedTableTest.java
+++ b/android/guava-tests/test/com/google/common/collect/TreeBasedTableTest.java
@@ -18,8 +18,6 @@ package com.google.common.collect;
 
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.SortedMapInterfaceTest;
 import com.google.common.collect.testing.SortedMapTestSuiteBuilder;
 import com.google.common.collect.testing.TestStringSortedMapGenerator;
@@ -42,9 +40,8 @@ import junit.framework.TestSuite;
  * @author Jared Levy
  * @author Louis Wasserman
  */
-@GwtCompatible(emulated = true)
 public class TreeBasedTableTest extends AbstractTableTest {
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     TestSuite suite = new TestSuite();
     suite.addTestSuite(TreeBasedTableTest.class);
@@ -173,7 +170,7 @@ public class TreeBasedTableTest extends AbstractTableTest {
     assertEquals(original, table);
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testSerialization() {
     table = create("foo", 1, 'a', "bar", 1, 'b', "foo", 3, 'c');
     SerializableTester.reserializeAndAssert(table);
diff --git a/android/guava-tests/test/com/google/common/collect/TreeMultimapExplicitTest.java b/android/guava-tests/test/com/google/common/collect/TreeMultimapExplicitTest.java
index 92a3d83..0d1f01e 100644
--- a/android/guava-tests/test/com/google/common/collect/TreeMultimapExplicitTest.java
+++ b/android/guava-tests/test/com/google/common/collect/TreeMultimapExplicitTest.java
@@ -18,8 +18,6 @@ package com.google.common.collect;
 
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.testing.SerializableTester;
 import java.util.Arrays;
 import java.util.Collection;
@@ -34,7 +32,6 @@ import junit.framework.TestCase;
  *
  * @author Jared Levy
  */
-@GwtCompatible(emulated = true)
 public class TreeMultimapExplicitTest extends TestCase {
 
   /**
@@ -196,7 +193,7 @@ public class TreeMultimapExplicitTest extends TestCase {
     assertEquals(Sets.newHashSet("tree"), keySet.subSet("ask", "yahoo"));
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testExplicitComparatorSerialization() {
     TreeMultimap<String, Integer> multimap = createPopulate();
     TreeMultimap<String, Integer> copy = SerializableTester.reserializeAndAssert(multimap);
diff --git a/android/guava-tests/test/com/google/common/collect/TreeMultimapNaturalTest.java b/android/guava-tests/test/com/google/common/collect/TreeMultimapNaturalTest.java
index addcfb7..bd70e69 100644
--- a/android/guava-tests/test/com/google/common/collect/TreeMultimapNaturalTest.java
+++ b/android/guava-tests/test/com/google/common/collect/TreeMultimapNaturalTest.java
@@ -19,8 +19,6 @@ package com.google.common.collect;
 import static com.google.common.base.Preconditions.checkArgument;
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.DerivedComparable;
 import com.google.common.collect.testing.Helpers;
 import com.google.common.collect.testing.NavigableMapTestSuiteBuilder;
@@ -56,10 +54,9 @@ import junit.framework.TestSuite;
  *
  * @author Jared Levy
  */
-@GwtCompatible(emulated = true)
 public class TreeMultimapNaturalTest extends TestCase {
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     TestSuite suite = new TestSuite();
     // TODO(lowasser): should we force TreeMultimap to be more thorough about checking nulls?
@@ -407,7 +404,7 @@ public class TreeMultimapNaturalTest extends TestCase {
     assertEquals(Ordering.natural(), multimap.valueComparator());
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testExplicitComparatorSerialization() {
     TreeMultimap<String, Integer> multimap = createPopulate();
     TreeMultimap<String, Integer> copy = SerializableTester.reserializeAndAssert(multimap);
@@ -417,7 +414,7 @@ public class TreeMultimapNaturalTest extends TestCase {
     assertEquals(multimap.valueComparator(), copy.valueComparator());
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testTreeMultimapDerived() {
     TreeMultimap<DerivedComparable, DerivedComparable> multimap = TreeMultimap.create();
     assertEquals(ImmutableMultimap.of(), multimap);
@@ -443,7 +440,7 @@ public class TreeMultimapNaturalTest extends TestCase {
     SerializableTester.reserializeAndAssert(multimap);
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testTreeMultimapNonGeneric() {
     TreeMultimap<LegacyComparable, LegacyComparable> multimap = TreeMultimap.create();
     assertEquals(ImmutableMultimap.of(), multimap);
@@ -500,7 +497,7 @@ public class TreeMultimapNaturalTest extends TestCase {
     assertEquals(4, multimap.keys().size());
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   public void testKeySetBridgeMethods() {
     for (Method m : TreeMultimap.class.getMethods()) {
       if (m.getName().equals("keySet") && m.getReturnType().equals(SortedSet.class)) {
@@ -510,7 +507,7 @@ public class TreeMultimapNaturalTest extends TestCase {
     fail("No bridge method found");
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   public void testAsMapBridgeMethods() {
     for (Method m : TreeMultimap.class.getMethods()) {
       if (m.getName().equals("asMap") && m.getReturnType().equals(SortedMap.class)) {
@@ -519,7 +516,7 @@ public class TreeMultimapNaturalTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   public void testGetBridgeMethods() {
     for (Method m : TreeMultimap.class.getMethods()) {
       if (m.getName().equals("get") && m.getReturnType().equals(SortedSet.class)) {
diff --git a/android/guava-tests/test/com/google/common/collect/TreeMultisetTest.java b/android/guava-tests/test/com/google/common/collect/TreeMultisetTest.java
index 12da1f1..6859568 100644
--- a/android/guava-tests/test/com/google/common/collect/TreeMultisetTest.java
+++ b/android/guava-tests/test/com/google/common/collect/TreeMultisetTest.java
@@ -20,8 +20,6 @@ import static com.google.common.collect.BoundType.CLOSED;
 import static com.google.common.truth.Truth.assertThat;
 import static java.util.Collections.sort;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.Helpers.NullsBeforeB;
 import com.google.common.collect.testing.NavigableSetTestSuiteBuilder;
 import com.google.common.collect.testing.TestStringSetGenerator;
@@ -46,10 +44,9 @@ import junit.framework.TestSuite;
  *
  * @author Neal Kanodia
  */
-@GwtCompatible(emulated = true)
 public class TreeMultisetTest extends TestCase {
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     TestSuite suite = new TestSuite();
     suite.addTest(
@@ -355,7 +352,7 @@ public class TreeMultisetTest extends TestCase {
     assertEquals(Integer.MAX_VALUE, ms.tailMultiset("a", CLOSED).size());
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   @AndroidIncompatible // Reflection bug, or actual binary compatibility problem?
   public void testElementSetBridgeMethods() {
     for (Method m : TreeMultiset.class.getMethods()) {
diff --git a/android/guava-tests/test/com/google/common/collect/TreeRangeMapTest.java b/android/guava-tests/test/com/google/common/collect/TreeRangeMapTest.java
index db68b89..ee18eaf 100644
--- a/android/guava-tests/test/com/google/common/collect/TreeRangeMapTest.java
+++ b/android/guava-tests/test/com/google/common/collect/TreeRangeMapTest.java
@@ -17,7 +17,6 @@ package com.google.common.collect;
 import static com.google.common.collect.BoundType.OPEN;
 import static com.google.common.collect.testing.Helpers.mapEntry;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.MapTestSuiteBuilder;
 import com.google.common.collect.testing.SampleElements;
 import com.google.common.collect.testing.TestMapGenerator;
@@ -37,7 +36,7 @@ import junit.framework.TestSuite;
  *
  * @author Louis Wasserman
  */
-@GwtIncompatible // NavigableMap
+// NavigableMap
 public class TreeRangeMapTest extends TestCase {
   public static Test suite() {
     TestSuite suite = new TestSuite();
diff --git a/android/guava-tests/test/com/google/common/collect/TreeRangeSetTest.java b/android/guava-tests/test/com/google/common/collect/TreeRangeSetTest.java
index b33ab2d..d77aa57 100644
--- a/android/guava-tests/test/com/google/common/collect/TreeRangeSetTest.java
+++ b/android/guava-tests/test/com/google/common/collect/TreeRangeSetTest.java
@@ -18,7 +18,6 @@ import static com.google.common.collect.BoundType.OPEN;
 import static com.google.common.collect.Range.range;
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.testing.SerializableTester;
 import java.util.Arrays;
 import java.util.List;
@@ -30,7 +29,7 @@ import java.util.NavigableMap;
  * @author Louis Wasserman
  * @author Chris Povirk
  */
-@GwtIncompatible // TreeRangeSet
+// TreeRangeSet
 public class TreeRangeSetTest extends AbstractRangeSetTest {
   // TODO(cpovirk): test all of these with the ranges added in the reverse order
 
@@ -680,7 +679,7 @@ public class TreeRangeSetTest extends AbstractRangeSetTest {
         .inOrder();
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testSerialization() {
     RangeSet<Integer> rangeSet = TreeRangeSet.create();
     rangeSet.add(Range.closed(3, 10));
diff --git a/android/guava-tests/test/com/google/common/collect/TreeTraverserTest.java b/android/guava-tests/test/com/google/common/collect/TreeTraverserTest.java
index 4c2abc7..a8ac639 100644
--- a/android/guava-tests/test/com/google/common/collect/TreeTraverserTest.java
+++ b/android/guava-tests/test/com/google/common/collect/TreeTraverserTest.java
@@ -16,8 +16,6 @@ package com.google.common.collect;
 
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Function;
 import com.google.common.testing.NullPointerTester;
 import java.util.Arrays;
@@ -29,7 +27,6 @@ import junit.framework.TestCase;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible(emulated = true)
 public class TreeTraverserTest extends TestCase {
   private static class Node {
     final char value;
@@ -105,7 +102,7 @@ public class TreeTraverserTest extends TestCase {
     assertThat(iterationOrder(ADAPTER_USING_USING.preOrderTraversal(h))).isEqualTo("hdabcegf");
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNulls() {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicInstanceMethods(ADAPTER);
diff --git a/android/guava-tests/test/com/google/common/collect/UnmodifiableIteratorTest.java b/android/guava-tests/test/com/google/common/collect/UnmodifiableIteratorTest.java
index 77ecbf7..d27ffad 100644
--- a/android/guava-tests/test/com/google/common/collect/UnmodifiableIteratorTest.java
+++ b/android/guava-tests/test/com/google/common/collect/UnmodifiableIteratorTest.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Iterator;
 import java.util.NoSuchElementException;
 import junit.framework.TestCase;
@@ -26,7 +25,6 @@ import junit.framework.TestCase;
  *
  * @author Jared Levy
  */
-@GwtCompatible
 public class UnmodifiableIteratorTest extends TestCase {
 
   public void testRemove() {
diff --git a/android/guava-tests/test/com/google/common/collect/UnmodifiableListIteratorTest.java b/android/guava-tests/test/com/google/common/collect/UnmodifiableListIteratorTest.java
index c9d3068..7a3c701 100644
--- a/android/guava-tests/test/com/google/common/collect/UnmodifiableListIteratorTest.java
+++ b/android/guava-tests/test/com/google/common/collect/UnmodifiableListIteratorTest.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Iterator;
 import java.util.ListIterator;
 import java.util.NoSuchElementException;
@@ -27,7 +26,6 @@ import junit.framework.TestCase;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible
 public class UnmodifiableListIteratorTest extends TestCase {
   public void testRemove() {
     Iterator<String> iterator = create();
diff --git a/android/guava-tests/test/com/google/common/collect/UnmodifiableMultimapAsMapImplementsMapTest.java b/android/guava-tests/test/com/google/common/collect/UnmodifiableMultimapAsMapImplementsMapTest.java
index d03d7e3..d2a67f5 100644
--- a/android/guava-tests/test/com/google/common/collect/UnmodifiableMultimapAsMapImplementsMapTest.java
+++ b/android/guava-tests/test/com/google/common/collect/UnmodifiableMultimapAsMapImplementsMapTest.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.MapInterfaceTest;
 import java.util.Collection;
 import java.util.Map;
@@ -26,7 +25,6 @@ import java.util.Map;
  *
  * @author Jared Levy
  */
-@GwtCompatible
 public class UnmodifiableMultimapAsMapImplementsMapTest
     extends AbstractMultimapAsMapImplementsMapTest {
 
diff --git a/android/guava-tests/test/com/google/common/escape/ArrayBasedCharEscaperTest.java b/android/guava-tests/test/com/google/common/escape/ArrayBasedCharEscaperTest.java
index f0983ef..3b6d138 100644
--- a/android/guava-tests/test/com/google/common/escape/ArrayBasedCharEscaperTest.java
+++ b/android/guava-tests/test/com/google/common/escape/ArrayBasedCharEscaperTest.java
@@ -16,14 +16,11 @@
 
 package com.google.common.escape;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.collect.ImmutableMap;
 import com.google.common.escape.testing.EscaperAsserts;
 import java.io.IOException;
 import junit.framework.TestCase;
 
 /** @author David Beaumont */
-@GwtCompatible
 public class ArrayBasedCharEscaperTest extends TestCase {
   private static final ImmutableMap<Character, String> NO_REPLACEMENTS = ImmutableMap.of();
   private static final ImmutableMap<Character, String> SIMPLE_REPLACEMENTS =
diff --git a/android/guava-tests/test/com/google/common/escape/ArrayBasedEscaperMapTest.java b/android/guava-tests/test/com/google/common/escape/ArrayBasedEscaperMapTest.java
index 6d9c1d8..10c7363 100644
--- a/android/guava-tests/test/com/google/common/escape/ArrayBasedEscaperMapTest.java
+++ b/android/guava-tests/test/com/google/common/escape/ArrayBasedEscaperMapTest.java
@@ -16,13 +16,10 @@
 
 package com.google.common.escape;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.collect.ImmutableMap;
 import java.util.Map;
 import junit.framework.TestCase;
 
 /** @author David Beaumont */
-@GwtCompatible
 public class ArrayBasedEscaperMapTest extends TestCase {
   public void testNullMap() {
     try {
diff --git a/android/guava-tests/test/com/google/common/escape/ArrayBasedUnicodeEscaperTest.java b/android/guava-tests/test/com/google/common/escape/ArrayBasedUnicodeEscaperTest.java
index 3243240..405cf9d 100644
--- a/android/guava-tests/test/com/google/common/escape/ArrayBasedUnicodeEscaperTest.java
+++ b/android/guava-tests/test/com/google/common/escape/ArrayBasedUnicodeEscaperTest.java
@@ -16,14 +16,11 @@
 
 package com.google.common.escape;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.collect.ImmutableMap;
 import com.google.common.escape.testing.EscaperAsserts;
 import java.io.IOException;
 import junit.framework.TestCase;
 
 /** @author David Beaumont */
-@GwtCompatible
 public class ArrayBasedUnicodeEscaperTest extends TestCase {
   private static final ImmutableMap<Character, String> NO_REPLACEMENTS = ImmutableMap.of();
   private static final ImmutableMap<Character, String> SIMPLE_REPLACEMENTS =
diff --git a/android/guava-tests/test/com/google/common/escape/EscapersTest.java b/android/guava-tests/test/com/google/common/escape/EscapersTest.java
index 245560a..8737347 100644
--- a/android/guava-tests/test/com/google/common/escape/EscapersTest.java
+++ b/android/guava-tests/test/com/google/common/escape/EscapersTest.java
@@ -16,14 +16,11 @@
 
 package com.google.common.escape;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.collect.ImmutableMap;
 import com.google.common.escape.testing.EscaperAsserts;
 import java.io.IOException;
 import junit.framework.TestCase;
 
 /** @author David Beaumont */
-@GwtCompatible
 public class EscapersTest extends TestCase {
   public void testNullEscaper() throws IOException {
     Escaper escaper = Escapers.nullEscaper();
diff --git a/android/guava-tests/test/com/google/common/escape/UnicodeEscaperTest.java b/android/guava-tests/test/com/google/common/escape/UnicodeEscaperTest.java
index 96cfa10..68fab0e 100644
--- a/android/guava-tests/test/com/google/common/escape/UnicodeEscaperTest.java
+++ b/android/guava-tests/test/com/google/common/escape/UnicodeEscaperTest.java
@@ -16,7 +16,6 @@
 
 package com.google.common.escape;
 
-import com.google.common.annotations.GwtCompatible;
 import junit.framework.TestCase;
 
 /**
@@ -24,7 +23,6 @@ import junit.framework.TestCase;
  *
  * @author David Beaumont
  */
-@GwtCompatible
 public class UnicodeEscaperTest extends TestCase {
 
   private static final String SMALLEST_SURROGATE =
diff --git a/android/guava-tests/test/com/google/common/eventbus/DispatcherTest.java b/android/guava-tests/test/com/google/common/eventbus/DispatcherTest.java
index b63a995..8154df9 100644
--- a/android/guava-tests/test/com/google/common/eventbus/DispatcherTest.java
+++ b/android/guava-tests/test/com/google/common/eventbus/DispatcherTest.java
@@ -18,7 +18,6 @@ package com.google.common.eventbus;
 
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.collect.ImmutableList;
 import com.google.common.collect.Queues;
 import com.google.common.util.concurrent.Uninterruptibles;
 import java.util.concurrent.ConcurrentLinkedQueue;
diff --git a/android/guava-tests/test/com/google/common/eventbus/EventBusTest.java b/android/guava-tests/test/com/google/common/eventbus/EventBusTest.java
index 249d3b0..8c933aa 100644
--- a/android/guava-tests/test/com/google/common/eventbus/EventBusTest.java
+++ b/android/guava-tests/test/com/google/common/eventbus/EventBusTest.java
@@ -16,7 +16,6 @@
 
 package com.google.common.eventbus;
 
-import com.google.common.collect.ImmutableList;
 import com.google.common.collect.Lists;
 import java.util.List;
 import java.util.concurrent.ExecutorService;
diff --git a/android/guava-tests/test/com/google/common/eventbus/PackageSanityTests.java b/android/guava-tests/test/com/google/common/eventbus/PackageSanityTests.java
index 5dee7ca..2a3a5d4 100644
--- a/android/guava-tests/test/com/google/common/eventbus/PackageSanityTests.java
+++ b/android/guava-tests/test/com/google/common/eventbus/PackageSanityTests.java
@@ -18,7 +18,6 @@ package com.google.common.eventbus;
 
 import com.google.common.testing.AbstractPackageSanityTests;
 import java.lang.reflect.Method;
-import org.checkerframework.checker.nullness.compatqual.NullableDecl;
 
 /**
  * Basic sanity tests for the entire package.
diff --git a/android/guava-tests/test/com/google/common/eventbus/StringCatcher.java b/android/guava-tests/test/com/google/common/eventbus/StringCatcher.java
index 282abe1..8194c32 100644
--- a/android/guava-tests/test/com/google/common/eventbus/StringCatcher.java
+++ b/android/guava-tests/test/com/google/common/eventbus/StringCatcher.java
@@ -19,7 +19,6 @@ package com.google.common.eventbus;
 import com.google.common.collect.Lists;
 import java.util.List;
 import junit.framework.Assert;
-import org.checkerframework.checker.nullness.compatqual.NullableDecl;
 
 /**
  * A simple EventSubscriber mock that records Strings.
diff --git a/android/guava-tests/test/com/google/common/eventbus/SubscriberRegistryTest.java b/android/guava-tests/test/com/google/common/eventbus/SubscriberRegistryTest.java
index c9e5c9a..16fd0f1 100644
--- a/android/guava-tests/test/com/google/common/eventbus/SubscriberRegistryTest.java
+++ b/android/guava-tests/test/com/google/common/eventbus/SubscriberRegistryTest.java
@@ -16,7 +16,6 @@
 
 package com.google.common.eventbus;
 
-import com.google.common.collect.ImmutableSet;
 import com.google.common.collect.Iterators;
 import java.util.Iterator;
 import junit.framework.TestCase;
diff --git a/android/guava-tests/test/com/google/common/graph/AbstractGraphTest.java b/android/guava-tests/test/com/google/common/graph/AbstractGraphTest.java
index 3a489a1..8585ad4 100644
--- a/android/guava-tests/test/com/google/common/graph/AbstractGraphTest.java
+++ b/android/guava-tests/test/com/google/common/graph/AbstractGraphTest.java
@@ -24,7 +24,6 @@ import static com.google.common.truth.Truth.assertThat;
 import static com.google.common.truth.TruthJUnit.assume;
 import static org.junit.Assert.fail;
 
-import com.google.common.collect.ImmutableSet;
 import java.util.HashSet;
 import java.util.Set;
 import org.junit.After;
diff --git a/android/guava-tests/test/com/google/common/graph/AbstractNetworkTest.java b/android/guava-tests/test/com/google/common/graph/AbstractNetworkTest.java
index 776e4bf..46932f4 100644
--- a/android/guava-tests/test/com/google/common/graph/AbstractNetworkTest.java
+++ b/android/guava-tests/test/com/google/common/graph/AbstractNetworkTest.java
@@ -28,8 +28,6 @@ import static org.junit.Assert.assertFalse;
 import static org.junit.Assert.assertTrue;
 import static org.junit.Assert.fail;
 
-import com.google.common.collect.ImmutableList;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.collect.Sets;
 import java.util.Set;
 import java.util.concurrent.Callable;
diff --git a/android/guava-tests/test/com/google/common/graph/AbstractStandardDirectedNetworkTest.java b/android/guava-tests/test/com/google/common/graph/AbstractStandardDirectedNetworkTest.java
index 98bc2fd..b3b4dd1 100644
--- a/android/guava-tests/test/com/google/common/graph/AbstractStandardDirectedNetworkTest.java
+++ b/android/guava-tests/test/com/google/common/graph/AbstractStandardDirectedNetworkTest.java
@@ -23,7 +23,6 @@ import static com.google.common.truth.TruthJUnit.assume;
 import static org.junit.Assert.assertTrue;
 import static org.junit.Assert.fail;
 
-import com.google.common.collect.ImmutableSet;
 import java.util.Collections;
 import java.util.Set;
 import org.junit.After;
diff --git a/android/guava-tests/test/com/google/common/graph/AbstractStandardUndirectedNetworkTest.java b/android/guava-tests/test/com/google/common/graph/AbstractStandardUndirectedNetworkTest.java
index 5cda1c1..46c5e26 100644
--- a/android/guava-tests/test/com/google/common/graph/AbstractStandardUndirectedNetworkTest.java
+++ b/android/guava-tests/test/com/google/common/graph/AbstractStandardUndirectedNetworkTest.java
@@ -21,7 +21,6 @@ import static com.google.common.truth.TruthJUnit.assume;
 import static org.junit.Assert.assertTrue;
 import static org.junit.Assert.fail;
 
-import com.google.common.collect.ImmutableSet;
 import com.google.common.testing.EqualsTester;
 import java.util.Set;
 import org.junit.After;
diff --git a/android/guava-tests/test/com/google/common/graph/AndroidIncompatible.java b/android/guava-tests/test/com/google/common/graph/AndroidIncompatible.java
index 239cafc..66c7bd3 100644
--- a/android/guava-tests/test/com/google/common/graph/AndroidIncompatible.java
+++ b/android/guava-tests/test/com/google/common/graph/AndroidIncompatible.java
@@ -23,7 +23,6 @@ import static java.lang.annotation.ElementType.METHOD;
 import static java.lang.annotation.ElementType.TYPE;
 import static java.lang.annotation.RetentionPolicy.CLASS;
 
-import com.google.common.annotations.GwtCompatible;
 import java.lang.annotation.Retention;
 import java.lang.annotation.Target;
 
@@ -37,5 +36,4 @@ import java.lang.annotation.Target;
  */
 @Retention(CLASS)
 @Target({ANNOTATION_TYPE, CONSTRUCTOR, FIELD, METHOD, TYPE})
-@GwtCompatible
 @interface AndroidIncompatible {}
diff --git a/android/guava-tests/test/com/google/common/graph/EndpointPairTest.java b/android/guava-tests/test/com/google/common/graph/EndpointPairTest.java
index 099be1d..a49897d 100644
--- a/android/guava-tests/test/com/google/common/graph/EndpointPairTest.java
+++ b/android/guava-tests/test/com/google/common/graph/EndpointPairTest.java
@@ -19,8 +19,6 @@ package com.google.common.graph;
 import static com.google.common.truth.Truth.assertThat;
 import static org.junit.Assert.fail;
 
-import com.google.common.collect.ImmutableList;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.testing.EqualsTester;
 import java.util.Collection;
 import java.util.Set;
diff --git a/android/guava-tests/test/com/google/common/graph/GraphPropertiesTest.java b/android/guava-tests/test/com/google/common/graph/GraphPropertiesTest.java
index d81edaf..f0e467d 100644
--- a/android/guava-tests/test/com/google/common/graph/GraphPropertiesTest.java
+++ b/android/guava-tests/test/com/google/common/graph/GraphPropertiesTest.java
@@ -19,7 +19,6 @@ package com.google.common.graph;
 import static com.google.common.graph.Graphs.hasCycle;
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.collect.ImmutableList;
 import org.junit.Before;
 import org.junit.Test;
 import org.junit.runner.RunWith;
diff --git a/android/guava-tests/test/com/google/common/graph/GraphsTest.java b/android/guava-tests/test/com/google/common/graph/GraphsTest.java
index a07def0..8559f1e 100644
--- a/android/guava-tests/test/com/google/common/graph/GraphsTest.java
+++ b/android/guava-tests/test/com/google/common/graph/GraphsTest.java
@@ -24,7 +24,6 @@ import static com.google.common.graph.Graphs.transpose;
 import static com.google.common.truth.Truth.assertThat;
 import static org.junit.Assert.fail;
 
-import com.google.common.collect.ImmutableSet;
 import java.util.Set;
 import org.junit.Test;
 import org.junit.runner.RunWith;
diff --git a/android/guava-tests/test/com/google/common/graph/TestUtil.java b/android/guava-tests/test/com/google/common/graph/TestUtil.java
index 68a2503..f843a4a 100644
--- a/android/guava-tests/test/com/google/common/graph/TestUtil.java
+++ b/android/guava-tests/test/com/google/common/graph/TestUtil.java
@@ -18,9 +18,7 @@ package com.google.common.graph;
 
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.collect.ImmutableSet;
 import com.google.common.collect.Iterators;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.util.Set;
 
 /** Utility methods used in various common.graph tests. */
@@ -78,7 +76,6 @@ final class TestUtil {
    * In some cases our graph implementations return custom sets that define their own size() and
    * contains(). Verify that these sets are consistent with the elements of their iterator.
    */
-  @CanIgnoreReturnValue
   static <T> Set<T> sanityCheckSet(Set<T> set) {
     assertThat(set).hasSize(Iterators.size(set.iterator()));
     for (Object element : set) {
diff --git a/android/guava-tests/test/com/google/common/graph/TraverserTest.java b/android/guava-tests/test/com/google/common/graph/TraverserTest.java
index d4c8cf7..cd3c605 100644
--- a/android/guava-tests/test/com/google/common/graph/TraverserTest.java
+++ b/android/guava-tests/test/com/google/common/graph/TraverserTest.java
@@ -24,8 +24,6 @@ import static com.google.common.truth.Truth.assertThat;
 import static org.junit.Assert.fail;
 
 import com.google.common.collect.HashMultiset;
-import com.google.common.collect.ImmutableList;
-import com.google.common.collect.ImmutableMultimap;
 import com.google.common.collect.Iterables;
 import com.google.common.collect.Multiset;
 import com.google.common.collect.Ordering;
diff --git a/android/guava-tests/test/com/google/common/graph/ValueGraphTest.java b/android/guava-tests/test/com/google/common/graph/ValueGraphTest.java
index b17c91d..779ca3d 100644
--- a/android/guava-tests/test/com/google/common/graph/ValueGraphTest.java
+++ b/android/guava-tests/test/com/google/common/graph/ValueGraphTest.java
@@ -22,7 +22,6 @@ import static com.google.common.truth.Truth.assertThat;
 import static java.util.concurrent.Executors.newFixedThreadPool;
 import static org.junit.Assert.fail;
 
-import com.google.common.collect.ImmutableList;
 import java.util.Set;
 import java.util.concurrent.Callable;
 import java.util.concurrent.CyclicBarrier;
